<p-toast></p-toast>
<!-- <p-confirmdialog></p-confirmdialog> -->
<div class="grid">
    <div class="col-12">
        <div class="card">
            <h5 class="text-blue-500 font-bold"><i class="pi pi-building text-4xl"></i>ผู้ป่วยที่นอนตึก [{{wardName}}]
            </h5>

            <!-- <p-button (click)="showDialog()" icon="pi pi-external-link" label="Show"></p-button> -->
            <!-- <p-dialog header="Header" [(visible)]="visibleChangDoctor" [style]="{ width: '50vw' }">
                <div class="flex py-2 justify-content-center">
                    <p-dropdown [options]="wards" [(ngModel)]="selectedWard" optionLabel="name"
                    [showClear]="true" placeholder="เลือกตึก" (onChange)="onSelectWard($event)"
                    class="sm:w-auto flex-order-1 sm:flex-order-1 tw-min-w-40"></p-dropdown>
                </div>
            </p-dialog> -->
            <p-toast></p-toast>
            <p-confirmDialog>
                <ng-template pTemplate="message" let-message>
                    <div class="flex flex-column align-items-center w-full gap-3 border-bottom-1 surface-border">
                        <i class="pi pi-exclamation-circle text-6xl text-primary-500"></i>
                        <p>{{ message.message }}</p>
                    </div>
                </ng-template>
            </p-confirmDialog>
            <p-table #pnl [value]="dataSet" scrollDirection="both" [paginator]="true" [rows]="10" [scrollable]="true"
                selectionMode="single" dataKey="an" [rowHover]="true" [showCurrentPageReport]="true" styleClass="mt-3"
                responsiveLayout="scroll" [rowHover]="true"
                currentPageReportTemplate="Showing {first} to {last} of {totalRecords} entries"
                [rowsPerPageOptions]="[10,25,50]" [globalFilterFields]="['an','hn','fname','lname']">
                <ng-template pTemplate="caption">
                    <div class="flex flex-wrap  justify-content-start align-items-end md:align-items-center md:justify-content-between">
                        <div class="flex tw-gap-2  tw-w-1/2 ">
                            <div class="flex">
                                <span class=" p-input-icon-right">
                                    <p-calendar [showIcon]="false" name="endDate" dateFormat="yy-mm-dd" [(ngModel)]="selectedDate" (ngModelChange)="onDateSelect($event)" [showButtonBar]="true"
                                        [locale]="th" styleClass="w-full sm:w-14rem" placeholder="Admit Date"
                                        appendTo="body"></p-calendar>
                                </span>
                            </div>
                        </div>
                        <div class="flex flex-wrap tw-gap-x-2 md:justify-content-end md:align-items-end justify-content-start align-items-end">
                            <span class="p-input-icon-left p-input-icon-right">
                                <i class="pi pi-user"></i>
                                <input type="text" pInputText placeholder="ค้นหา"
                                    (input)="onGlobalFilter(pnl, $event)" class="tw-w-48 "/>
                                <i class="pi pi-search"></i>
                            </span>
                            <p-dropdown [options]="wards" [(ngModel)]="selectedWard" optionLabel="name"
                                [showClear]="true" placeholder="เลือกตึก" (onChange)="onSelectWard($event)"
                                class="tw-w-48 flex-order-1 sm:flex-order-1 "></p-dropdown>
                        </div>
                    </div>

                </ng-template>
                <ng-template pTemplate="header">
                    <!-- <tr>
                        <th class="text-center">ลำดับ</th>
                        <th pSortableColumn="hospital_code">รหัสหน่วยบริการ <p-sorticon field="hospital_code"></p-sorticon></th>
                        <th pSortableColumn="hospital_name">ชื่อหน่วยบริการ <p-sorticon field="hospital_name"></p-sorticon></th>
                        <th class="text-center" pSortableColumn="is_active">สถานะการใช้งาน <p-sorticon field="is_active"></p-sorticon></th>
                        <th class="text-center"></th>
                    </tr> -->
                    <tr>
                        <th class="text-center">Bed</th>
                        <th class="text-center" pSortableColumn="an">AN<p-sortIcon field="an"></p-sortIcon></th>
                        <th class="text-center" pSortableColumn="hn">HN<p-sortIcon field="hn"></p-sortIcon></th>
                        <th>ชื่อ - สกุล</th>
                        <th>อายุ</th>
                        <th>เพศ</th>
                        <th>แพทย์</th>
                        <th>Diag text</th>
                        <th pSortableColumn="admit_date">Admit Date<p-sortIcon field="admit_date"></p-sortIcon></th>
                        <th>การจัดการ</th>
                    </tr>

                </ng-template>
                <ng-template pTemplate="body" let-dataSet let-i="rowIndex">
                    <tr [pSelectableRow]="dataSet" >
                        <td style=" text-align: center;" (click)="navigateNurseNote(dataSet)">{{dataSet.bed_number}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.an}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.hn}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.title}}{{dataSet.fname}} {{dataSet.lname}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.age | thaiage}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.gender}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.doctor_name}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.pre_diag}}</td>
                        <td (click)="navigateNurseNote(dataSet)">{{dataSet.admit_date}} | {{dataSet.admit_time}} น. </td>

                        <td class="text-center">

                            <div class="flex  gap-2">
                                <!-- <p-confirmPopup></p-confirmPopup> -->
                                <!-- <p-confirmDialog></p-confirmDialog> -->
                                <button pButton pRipple icon="pi pi-file-edit" class="p-button-warning "
                                    size="small" (click)="navigateNurseNote(dataSet)"></button>
                                <!-- <button type="button" pButton icon="fa fa-list" label="" 
                                    (click)="activeItem = dataSet;menu.toggle($event)"></button>
                                <p-menu #menu [model]="items" [popup]="true" appendTo="body"></p-menu> -->
                            </div>
                        </td>
                    </tr>

                </ng-template>
            </p-table>
        </div>
    </div>
</div>
<p-sidebar [(visible)]="visibleChangDoctor" position="right">
    <h3>เลือกแพทย์</h3>
    <div class="flex flex-column tw-py-2 tw-gap-y-4 justify-content-center">

        <button *ngFor="let item of doctors" pButton pRipple type="button" label="{{item.fname}} {{item.lname}}"  (click)="changeDoctor(item,$event)"
            class="p-button-outlined"></button>

    </div>
</p-sidebar>
<p-sidebar [(visible)]="visibleChangWard" position="right">
    <h3>ย้ายตึก เตียง</h3>
    <div class="flex flex-column tw-py-2 justify-content-center">

        <div class="mb-4">
            <div>เลือกหอผู้ป่วย</div>
            <span class="p-fluid">
                <p-autoComplete [(ngModel)]="selectedItemsWards" [dropdown]="true" [forceSelection]="true"
                    [suggestions]="filteredItemsWards" (completeMethod)="filterItemsWards($event)" field="name"
                    placeholder="" autocomplete="off" (onSelect)="onSelectedWard($event)"
                    class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>
            </span>

        </div>
        <div class="mb-4">
            <div>เลือกเตียง</div>
            <span class="p-fluid">
                <p-autoComplete [(ngModel)]="selectedItemsBeds" [dropdown]="true" [forceSelection]="true"
                    [suggestions]="filteredItemsBeds" (completeMethod)="filterItemsBeds($event)" field="bed_no"
                    placeholder="" autocomplete="off" (onSelect)="onSelectedBed($event)"
                    class=" p-inputtext-sm tw-h-3 tw-rounded-s"></p-autoComplete>
            </span>
        </div>
        <div>
            <button pButton pRipple type="button"  [disabled]="!is_select_bed" class="tw-w-32" label="บันทึก" (click)="changeWard($event)"></button>
        </div>

    </div>
</p-sidebar>